package com.ss.android.ugc.aweme.commercialize.views.cards;

import X.0CB;
import X.0CH;
import X.2GO;
import X.6Is;
import X.ISm;
import X.LJ0;
import X.Rc9;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.commercialize.event.AdCardClose;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.Map;
import org.greenrobot.eventbus.ThreadMode;

public class DownloadAdCardAction extends AbsAdCardAction implements 6Is, 2GO {
    public boolean LJIIIIZZ = true;

    static {
        Covode.recordClassIndex(59984);
    }

    public Map<Integer, Object> getSubscriberEventTypes() {
        Map<Integer, Object> subscriberEventTypes = super.getSubscriberEventTypes();
        subscriberEventTypes.put(78, new Rc9(DownloadAdCardAction.class, "onEvent", AdCardClose.class, ThreadMode.POSTING, 0, false));
        return subscriberEventTypes;
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void LJFF() {
        if (this.LJIIIIZZ) {
            super.LJFF();
        }
    }

    @ISm
    public void onEvent(AdCardClose adCardClose) {
        if (this.LIZJ.getAwemeRawAd() != null && !this.LIZJ.getAwemeRawAd().isCardOnceClick()) {
            this.LJIIIIZZ = false;
            this.LIZJ.getAwemeRawAd().setCardOnceClick(true);
            this.LJ.LIZ("ACTION_HALF_WEB_PAGE_HIDE", (Object) null);
        }
    }

    public DownloadAdCardAction(Context context, Aweme aweme, LJ0 lj0) {
        super(context, aweme, lj0);
        this.LIZ = 2131231882;
    }
}
